=== debian/changelog ===
cwltool (3.1.20250925164626-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches
  * Added patch to support the older pydot version in Debian (2.x).

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Sep 2025 15:31:57 +0200

cwltool (3.1.20250110105449-3) unstable; urgency=medium

  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing.
  * d/rules: clean up extra license files.
  * d/cwltool.lintian-overrides: update syntax
  * New patch to better mark the included CWL files as executable.
  * New patch to improve user privacy by removing externally hosted
    badge images from the README.
  * Simplify test invocation and switch to autopkgtest-pkg-pybuild

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Jan 2025 13:22:50 +0100
