=== debian/control ===
Source: cwltool
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Section: science
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               procps <!nocheck>,
               python3,
               python3-all,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx <!nodoc>,
               python3-sphinx-autoapi <!nodoc>,
               python3-sphinx-autodoc-typehints <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sphinxcontrib.autoprogram <!nodoc>,
               python3-doc <!nodoc>,
               python-rdflib-doc <!nodoc>,
               python3-coloredlogs <!nocheck> <!nodoc>,
               python3-rdflib <!nocheck>,
               python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
               python3-html5lib <!nocheck>,
               python3-sparqlwrapper <!nocheck>,
               python3-keepalive <!nocheck>,
               python3-ruamel.yaml <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-httpserver <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-cwl-utils (>= 0.32) <!nocheck> <!nodoc>,
               python3-mypy-extensions <!nocheck> <!nodoc>,
               python3-psutil <!nocheck> <!nodoc>,
               python3-prov <!nocheck> <!nodoc>,
               python3-arcp <!nocheck>,
               python3-pydot <!nocheck> <!nodoc>,
               python3-argcomplete <!nocheck> <!nodoc>,
               python3-spython <!nocheck> <!nodoc>,
               python3-rich-argparse <!nocheck> <!nodoc>,
               nodejs <!nocheck>,
               jq <!nocheck>,
               help2man
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/cwltool
Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
Homepage: https://cwltool.readthedocs.io/
Rules-Requires-Root: no

Package: cwltool
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-mypy-extensions,
         python3-arcp,
         python3-argcomplete,
         python3-cwl-utils
Recommends: nodejs
Suggests: podman | docker.io | singularity-container,
          cwltool-doc
Breaks: toil (<< 5.12.0)
Provides: cwl-runner
Description: Common Workflow Language reference implementation
 This is the reference implementation of the Common Workflow Language
 standards.
 .
 The CWL open standards are for describing analysis workflows and tools in a
 way that makes them portable and scalable across a variety of software and
 hardware environments, from workstations to cluster, cloud, and high
 performance computing (HPC) environments. CWL is designed to meet the needs of
 data-intensive science, such as Bioinformatics, Medical Imaging, Astronomy,
 Physics, and Chemistry.
 .
 The CWL reference implementation (cwltool) is intended to be feature complete
 and to provide comprehensive validation of CWL files as well as provide other
 tools related to working with CWL descriptions.

Package: cwltool-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Common Workflow Language reference implementation -- docs
 This is the docs for the reference implementation of the Common Workflow
 Language standards.
 .
 The CWL open standards are for describing analysis workflows and tools in a
 way that makes them portable and scalable across a variety of software and
 hardware environments, from workstations to cluster, cloud, and high
 performance computing (HPC) environments. CWL is designed to meet the needs of
 data-intensive science, such as Bioinformatics, Medical Imaging, Astronomy,
 Physics, and Chemistry.
 .
 The CWL reference implementation (cwltool) is intended to be feature complete
 and to provide comprehensive validation of CWL files as well as provide other
 tools related to working with CWL descriptions.
