=== debian/changelog ===
cwltool (3.1.20251031082601-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Removed patch applied upstream.
  * Fully drop dependency on python3-prov.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 07 Jan 2026 12:57:55 +0100
