## cwltool 3.1.20260108082145

=== Makefile ===
--- 
+++ 
@@ -190,7 +190,7 @@
 		cwltool-in-docker.sh
 
 pyupgrade: $(PYSOURCES)
-	pyupgrade --exit-zero-even-if-changed --py39-plus $^
+	pyupgrade --exit-zero-even-if-changed --py310-plus $^
 	auto-walrus $^
 
 release-test: FORCE
