=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 requests>=2.6.1
-ruamel.yaml>=0.16.0,<0.19
-rdflib>=4.2.2,<7.5
+ruamel.yaml>=0.16.0,<0.20
+rdflib>=4.2.2,<7.6
 schema-salad>=8.9,<9
 prov==1.5.1
 mypy-extensions
@@ -12,3 +12,4 @@
 cwl-utils>=0.32
 spython>=0.3.0
 rich-argparse
+typing-extensions>=4.1.0
