=== debian/changelog ===
cwltool (3.1.20260108082145-1) unstable; urgency=medium

  * New upstream version
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 24 Jan 2026 20:02:02 +0100
