=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                python-rdflib-doc <!nodoc>,
                python3-coloredlogs <!nocheck> <!nodoc>,
                python3-rdflib <!nocheck>,
-               python3-schema-salad (>=8.4.20230808163024) <!nocheck> <!nodoc>,
+               python3-schema-salad (>=8.9) <!nocheck> <!nodoc>,
                python3-html5lib <!nocheck>,
                python3-sparqlwrapper <!nocheck>,
                python3-keepalive <!nocheck>,
@@ -35,7 +35,6 @@
                python3-cwl-utils (>= 0.32) <!nocheck> <!nodoc>,
                python3-mypy-extensions <!nocheck> <!nodoc>,
                python3-psutil <!nocheck> <!nodoc>,
-               python3-prov <!nocheck> <!nodoc>,
                python3-arcp <!nocheck>,
                python3-pydot <!nocheck> <!nodoc>,
                python3-argcomplete <!nocheck> <!nodoc>,
@@ -44,7 +43,7 @@
                nodejs <!nocheck>,
                jq <!nocheck>,
                help2man
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/cwltool
 Vcs-Git: https://salsa.debian.org/med-team/cwltool.git
 Homepage: https://cwltool.readthedocs.io/
